Page MenuHomePhabricator

Published articles are displayed as drafts if Special:CX is refreshed
Closed, ResolvedPublic

Description

If a user goes to his or her dashboard after publishing a page, then the published page is displayed as 'published.' If, however, Special:CX is refreshed, then the page is once again displayed as if it were a draft. (Regression of T85194.)

Event Timeline

Arrbee created this task.Jan 7 2015, 8:57 AM
Arrbee raised the priority of this task from to High.
Arrbee updated the task description. (Show Details)
Arrbee added subscribers: Aklapper, Arrbee.

Can you clarify whether you refreshed dashboard or translation view?

Arrbee added a comment.Jan 7 2015, 9:15 AM

Refreshed the dashboard i.e. publish page, return to dashboard using 'All Translations' and then refresh.

I was able to reproduce this. I published a page and then used 'All translations' to go back to the dashboard. My published translation was shown as 'In progress.' Same after refreshing the page.

Change 183777 had a related patch set uploaded (by Santhosh):
Share the dirty status across publish and draft modules

https://gerrit.wikimedia.org/r/183777

Patch-For-Review

Change 183777 merged by jenkins-bot:
Share the dirty status across publish and draft modules

https://gerrit.wikimedia.org/r/183777

santhosh moved this task from Backlog to Blocked on the LE-Sprint-81 board.Jan 9 2015, 2:11 PM
santhosh moved this task from Blocked to Done on the LE-Sprint-81 board.
Arrbee closed this task as Resolved.Jan 9 2015, 2:15 PM
Arrbee claimed this task.

Verified. Fixed.

RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 8:59 PM
RandomDSdevel set Security to None.
RandomDSdevel awarded a token.